<?php
if($edit_post==true) {
	include("header.php");
}
?>
<link rel="stylesheet" type="text/css" href="<?php echo PLUGIN_URL ?>/css/jquery.datetimepicker.css"/>
<script src="<?php echo PLUGIN_URL ?>/js/jquery.datetimepicker.js"></script>
<div class="RightContentWrapper">
<h4 class="BorderBottom">Search results found :</h4>
<div>
	<label for="post-title">Campaign Title</label>
		<input value="<?php echo @$post_title ?>" type="text" class="ls-camp-title" required="required" placeholder="Enter Campaign Title" maxlength="100" id="post-title" name="post-tiel" />
</div>

<!-- SELECT PRODUCTS -->
<button class="ls-button" id="select_products" style="margin:-50px 0px 0px 0px; float:right;">Search Products</button>
<div id="search_popup" class="search-popup">
	<div id="close_search_popup" class="close-search-popup"><img src="<?php echo PLUGIN_URL ?>/images/close.png"></div>
	<div id="products_data"></div>
</div>
<input type="hidden" id="custom_post_id" value="<?php echo $post_id ?>">
<hr>
<div class="VideoBoxWrapper">
<?php if(empty($posts)) { $posts[] = array(); } ?>
<?php if(!empty($posts)) { ?>
<?php foreach($posts as $dk) { ?>	
	<div class="VideoBox selected submited" id="post-blck-<?php echo $dk["id"] ?>">
		<div class="form-group">
		    <button style="<?php if($edit_post==false) { ?>display: none;<?php } ?> margin: 10px; float: right;" id="save-post-<?php echo $dk["id"] ?>" class="ls-button save-post">Save Post</button>

			<button style="margin: 10px; float: right;" id="delete-post-<?php echo $dk["id"] ?>" class="ls-button delete-post">Delete Post</button>
		</div>
		<br></br>
		<div class="form-group">
		    <label for="post-tiel">Title</label>
			<textarea id="post-tiel-<?php echo $dk["id"] ?>" class="TitlePostEditor-<?php echo $dk["id"] ?>"><?php echo $dk["video_title"] ?></textarea>
			<script>$('#post-tiel-<?php echo $dk["id"] ?>').jqte();</script>
		</div>
		<div class="form-group">
		    <label for="post-desc">Description</label>
			<textarea id="post-desc-<?php echo $dk["id"] ?>" class="DescPostEditor-<?php echo $dk["id"] ?>">
				<?php echo htmlspecialchars_decode(stripslashes($dk["video_data"])) ?>
				<br>
				<?php echo htmlspecialchars_decode(stripslashes($dk["video_desc"])) ?>
			</textarea>
			<script>$('#post-desc-<?php echo $dk["id"] ?>').jqte();</script>
		</div>

		<div class="form-group">
		    <label for="share">Share On</label>
			<span>
				<img class="share-choices" src="<?php echo PLUGIN_URL ?>/images/facebook_icon.png" />&nbsp;
				<select name="share_on_fb[]" id="share-on-fb-<?php echo $dk["id"] ?>" class="ls-share-fb share_selects">
					<option value="">--select--</option>
					<?php if(!empty($facebook_settings)) { ?>
						<?php foreach($facebook_settings as $fb) { ?>	
						<option value="<?php echo $fb->fb_page_name ?>" <?php if($dk["shareon"]->share_on_fb == $fb->fb_page_name) { echo "selected"; } ?>><?php echo $fb->fb_page_name ?></option>
						<?php } ?>
					<?php } ?>
				</select>
			</span>
			<span>
				<img class="share-choices" src="<?php echo PLUGIN_URL ?>/images/tumblr_icon.png" />&nbsp;
				<select name="share_on_tmb[]" id="share-on-tmb-<?php echo $dk["id"] ?>" class="ls-share-tmblr share_selects">
					<option value="">--select--</option>
					<?php if(!empty($tumblr_settings)) { ?>
						<?php foreach($tumblr_settings->tumb_blog_name as $tb) { ?>	
						<option value="<?php echo $tb ?>" <?php if($dk["shareon"]->share_on_tmblr == $tb) { echo "selected"; } ?>><?php echo $tb ?></option>
						<?php } ?>
					<?php } ?>
				</select>
			</span>
			<span>
				<img class="share-choices" src="<?php echo PLUGIN_URL ?>/images/blogger_icon.png" />&nbsp;
				<select name="share_on_bgr[]" id="share-on-bgr-<?php echo $dk["id"] ?>" class="ls-share-bg share_selects">
					<option value="">--select--</option>
					<?php if(!empty($blogger_settings)) { ?>
						<?php foreach($blogger_settings->blogger_blog_name as $bg) { ?>	
						<option value="<?php echo $bg ?>" <?php if($dk["shareon"]->share_on_bg == $bg) { echo "selected"; } ?>><?php echo $bg ?></option>
						<?php } ?>
					<?php } ?>
				</select>
			</span>
			<span>
				<img class="share-choices" src="<?php echo PLUGIN_URL ?>/images/wordpress_icon.png" />&nbsp;
				<input name="share_on_wp" id="share-on-wp-<?php echo $dk["id"] ?>" value="1"  class="ls-share-wp share_selects" style="vertical-align: middle; width: 50px;" type="checkbox" <?php if($dk["shareon"]->share_on_wp==1) { ?>checked<?php } ?>>
			</span>
		</div>

		<div class="form-group">
		    <label for="datetimepicker">Schedule On</label>
			<input type="text" class="ls-camp-schedule" value="<?php echo $dk["schedule"] ?>" id="datetimepicker-<?php echo $dk["id"] ?>"/>
			<script>$('#datetimepicker-<?php echo $dk["id"] ?>').datetimepicker({
						formatTime:'H:i:s',
						formatDate:'d.m.Y',
						defaultDate:'<?php echo date("d.m.Y") ?>', // it's my birthday
						defaultTime:'<?php echo date("H:i:s") ?>'
				});</script>
		</div>

		<div class="form-group">
		    <label for="category">Category</label>
			<select class="ls-camp-category" id="category-<?php echo $dk["id"] ?>" name="post-category" >
			<option value="">--select category--</option>
            <?php $categories = get_categories('type=post&hide_empty=0'); ?>
            <?php foreach ($categories as $category) { ?>
                <option value="<?php echo $category->cat_ID ?>" <?php if($dk["category"]==$category->cat_ID) { ?>selected<?php } ?>><?php echo $category->cat_name ?></option>
			<?php } ?>		
             </select>
		</div>
	</div>
                    
<?php
	}
}
?>
	
<button type="button" id="complete_save" class="ls-button MarginTop">Save Complete</button>

</div>

<script>
$("document").ready(function() {	
	/*$(".share-on").each(function() {		
		$(this).click(function() {
			$("#shareon-"+id).val('');
			if($(this).is(":checked")==true) {
				var id = $(this).attr("id").split("-")[1];
				vals.push = $(this).val();				
			} else {

				$("#shareon-"+id).val('');
			}
			$("#shareon-"+id).val(vals);
		});
	});*/
	
	$("body").on("click",".delete-post", function() {
		var id = $(this).attr("id").replace("delete-post-","");
		$("#post-blck-"+id).fadeOut(1000,function() {
			$(this).remove();
		});
	});

	$("body").on("click",".close-search-popup",function() {
		$(this).parent();
		$(this).parent().fadeOut(1000);
	});

	$("body").on("click","#select_products",function() {
		$(".loader").fadeIn(1000);
		$("#search_popup").find("#products_data").load("<?php echo site_url() ?>/wp-admin/admin.php?page=ls_search_products&hide=1",function() {
			$(".loader").fadeOut(1000);
			$("#search_popup").fadeIn(1000);
		});
	});

	$("#complete_save").click(function() {
		removeerror();
		var ptitle = $("#post-title").val();
		$(".alert-danger").fadeOut(1000);
		$(".alert-success").fadeOut(1000);
		if(ptitle=="") {
			adderror($("#post-title"),"Please enter title.");
		} else {			
			var vshareon = true;
			var vcategory = true;
			var vschedule = true;
			var vshareonid = 0;
			var vscheduleid = 0;
			var vcategoryid = 0;
			var vid = 0;

			$(".VideoBox").each(function() {
				var id = $(this).attr("id").replace("post-blck-","");
				var shareon = 0;				
				if($(this).find(".ls-share-fb").val()!="") {
					shareon = shareon + 1;
				}

				if($(this).find(".ls-share-tmblr").val()!="") {
					shareon = shareon + 1;
				}

				if($(this).find(".ls-share-bg").val()!="") {
					shareon = shareon + 1;
				}
				
				if($(this).find(".ls-share-wp").is(":checked")==true) {
					shareon = shareon + 1;
				}				

				if(shareon==0) {
					vshareon = false;
					vshareonid = $(this).find(".ls-share-wp").attr("id");
					adderror($("#"+vshareonid),"Please select share on choice.");
					return false;
				} else if($(this).find(".ls-camp-schedule").val()=="") {
					vschedule = false;
					vscheduleid = $(this).find(".ls-camp-schedule").attr("id");
					adderror($("#"+vscheduleid),"Please select schedule.");
					return false;			
				} else if($(this).find(".ls-camp-category").val()=="") {
					vcategory = false;
					vcategoryid = $(this).find(".ls-camp-category").attr("id");
					adderror($("#"+vcategoryid),"Please select category.");
					return false;			
				} else if(!isPastDate($(this).find(".ls-camp-schedule").val())) {
					vdatetim = $(this).find(".ls-camp-schedule").attr("id");
					adderror($("#"+vdatetim),"Please select datetime greater than current datetime.");
					return false;		
				}
			});

			if($("#lsverror").length==0) {
					var postdata = [];
					$(".VideoBox").each(function() {
						var id = $(this).attr("id").replace("post-blck-","");
						var wpchecked = 0;
						if($("#share-on-wp-"+id).is(":checked")==true) {
							wpchecked = 1;
						}
					
						var shareonvalues = {share_on_fb:$("#share-on-fb-"+id).val(),share_on_tmblr:$("#share-on-tmb-"+id).val(),share_on_bg:$("#share-on-bgr-"+id).val(),share_on_wp:wpchecked}
						postdata.push({aid: id, videotitle: $("#post-tiel-"+id).val(), videodesc : $("#post-desc-"+id).val(),aschedule:$("#datetimepicker-"+id).val(),ashareon: shareonvalues,acategory: $("#category-"+id).val()});
					});
					var data = {
						action: 'ls_save_complete_post',
						data: postdata,
						title: $("#post-title").val(),
						cid : $("#custom_post_id").val()
					}
					$(".loader").fadeIn(1000);
					$.post(ajaxurl, data, function(response) {
						$(".loader").fadeOut(1000);
						var post_id = parseInt(response);
						if(post_id>0) {
							$("#custom_post_id").val(post_id);
							$(".alert-success").html("Post created successfully!!");
							$(".alert-success").fadeIn(1000);
							$(".VideoBox").each(function() {
								$(".StepsWrapper").find("#3").removeClass("selected");
								$(".StepsWrapper").find("#4").addClass("selected");
								var id = $(this).attr("id").replace("post-blck-","");
								$("#save-post-"+id).show();
							});
						} else {
							$(".alert-danger").html("Post can not create!!");
							$(".alert-danger").fadeIn(1000);
						}
						$("html, body").animate({ scrollTop: 0 }, "slow");
					});
			}
		}
	});

	$("body").on("click",".save-post",function() {
		$(".alert-success").fadeOut(1000);
		var id = $(this).attr("id").replace("save-post-","");
		var title = $("#post-tiel-"+id).val();
		var desc = $("#post-desc-"+id).val();
		var schd = $("#datetimepicker-"+id).val();

		
		if($("#share-on-wp-"+id).is(":checked")) {
			var share_on_wp = 1;
		} else {
			var share_on_wp = 0;
		}		

		var cid = $("#custom_post_id").val();
		var data = {
			action: 'ls_save_post_now',
			ptitle: title,
			pdesc: desc,
			pcid : cid,
			schedule : $("#datetimepicker-"+id).val(),
			share_on_fb : $("#share-on-fb-"+id).val(),
			share_on_tmb : $("#share-on-tmb-"+id).val(),
			share_on_bg : $("#share-on-bgr-"+id).val(),
			share_on_wp : share_on_wp,
			pschedule: schd
		}
		$(".loader").fadeIn(1000);
		$.post(ajaxurl, data, function(response) {
			$(".loader").fadeOut(1000);
			var jsondata = $.parseJSON(response);

			if(jsondata.res=="success") {
				var html = "Post created successfully";
				$(jsondata.links).each(function(i,l) {
					html = html + "<br>"+(parseInt(i)+1)+". "+"<a href='"+l+"' target='_new'>"+l+"</a>";			 
				});
				$(".alert-success").html(html);	
				$("html, body").animate({ scrollTop: 0 }, "slow");
				$(".alert-success").fadeIn(1000);
			} else {
				$(".alert-danger").html("Post can not create");
				$("html, body").animate({ scrollTop: 0 }, "slow");
				$(".alert-danger").fadeIn(1000);
			}
		});
	});
});

function adderror(f,msg) {
	var ediv = $("<div></div>");
	$(ediv).addClass("ls-verror");
	$(ediv).attr("id","lsverror");
	$(ediv).html(msg);
	$(ediv).insertAfter($(f));
	$(f).focus();
	$('html, body').animate({
        scrollTop: $(f).parent().offset().top
    }, 'slow');
	return false;
}

function isPastDate(dateEntered) {
	var date = dateEntered.substring(8, 10);
	var month = dateEntered.substring(5, 7);
	var year = dateEntered.substring(0, 4);
	var hour = dateEntered.substring(11, 13);
	var min = dateEntered.substring(14, 16);

	var dateToCompare = new Date(year, month - 1, date,hour,min);
	var currentDate = new Date();

	if (dateToCompare < currentDate) {
		return false;
	} else {
		return true;	
	}
}

function removeerror() {
	$("#lsverror").remove();
}
</script>