function log(msg) {
	console.log(msg);
}

function error_alert() {
	$(".alert").find("strong").each(function() {
		$(this).remove();
	});
	$(".alert").fadeOut(1000);
}

function call_ajax(adata, callback, callback_args) {
	$.ajax({
		url : adata.url,
		data: adata.data,
		type: adata.type,
		dataType: adata.dataType,
		contentType: 'application/json',
		success: function(d) {
			log(d);
			if(callback!="") {
				eval(callback+"("+callback_args+")");
			}
		},
		error: function(e) {
			log("Error in ajax: "+e.responseText);
		}
	});
}


function randomString(len, charSet) {
    charSet = charSet || 'ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789';
    var randomString = '';
    for (var i = 0; i < len; i++) {
    	var randomPoz = Math.floor(Math.random() * charSet.length);
    	randomString += charSet.substring(randomPoz,randomPoz+1);
    }
    return randomString;
}

$.fn.centerToWindow = function()
{
	this.css({
		'position': 'fixed',
		'left': '50%',
		'top': '20%'
	});
	this.css({
		'margin-left': -this.outerWidth() / 2 + 'px',
		'margin-top': -this.outerHeight() / 2 + 'px'
	});	
}



if (!window.x) {
    x = {};
}
x.Selector = {};
x.Selector.getSelected = function() {
    var t = '';
    if (window.getSelection) {
        t = window.getSelection();
    } else if (document.getSelection) {
        t = document.getSelection();
    } else if (document.selection) {
        t = document.selection.createRange().text;
    }
    return t;
}

function selHTML(sel) {

    if (window.ActiveXObject) {
        var c = document.selection.createRange();
        return c.htmlText;
    }
	
    var nNd = document.createElement("p");
	nNd.setAttribute("id",sel);
    var w = getSelection().getRangeAt(0);
    w.surroundContents(nNd);
    return nNd.innerHTML;
}

function validateurl(myVariable) {
	if(/^(http:\/\/www\.|https:\/\/www\.)[a-z0-9]+([\-\.]{1}[a-z0-9]+)*\.[a-z]{2,5}(:[0-9]{1,5})?(\/.*)?$/.test(myVariable)){
		return true;
	} else {
		return false;
	}
}

function copyToClipboard(text) {
  window.prompt("Copy to clipboard: Ctrl+C, Enter", text);
}