<?php
libxml_use_internal_errors (true);
$config = array();
$result_array = array();
global $wpdb;
$vimeo_data = $wpdb->get_results('SELECT * FROM ls_settings WHERE api_name = "vimeo"');

if(!empty($vimeo_data)) {
	$vimeo_clientid = '';
	$vimeo_clientsecret = '';
	if(!empty($vimeo_data)) {
		$vimeo_db_data = json_decode($vimeo_data[0]->data);
		$vimeo_clientid = $vimeo_db_data->vm_clientid;
		$vimeo_clientsecret = $vimeo_db_data->vm_client_secret;
	}
	$config["client_id"] = $vimeo_clientid;
	$config["client_secret"] = $vimeo_clientsecret;

	include(plugin_dir_path(__FILE__)."../classes/vimeo-class.php");
	$keyword = $_POST["keyword"];

	$options['ls_yt_width'] = 300;

	$options['ls_yt_height'] = 300;
	
	$page = $_POST["page"];	

	$vimeo = new phpVimeo($config["client_id"], $config["client_secret"]);

	$videos = $vimeo->call('vimeo.videos.search', array('query' => $keyword, 'page' => $page, 'per_page' => 6, 'full_response'=>1));


	if(isset($videos->videos->video)) {
		if(count($videos->videos->video)>0) {
			$k = 0;
			foreach($videos->videos->video as $p) {
				//$thumbnail = "<img src='".@$p->thumbnails->thumbnail[2]->_content."'>";
				$thumbnail = '<iframe src="http://player.vimeo.com/video/'.$p->id.'" width="'.$options['ls_yt_width'].'" height="'.$options['ls_yt_height'].'" frameborder="0" webkitallowfullscreen mozallowfullscreen allowfullscreen></iframe>';
				$rating = "Total Likes: ".@$p->number_of_likes." | Total Plays: ".@$p->number_of_plays." | Total Comments: ".@$p->number_of_comments;
				$description = @$p->description;
				$title = $p->title;
				$videoid = $p->id;	
				$result_array[$k]["%%description%%"] = "<span class='description_details'>".$description."</span>";
				$result_array[$k]["%%thumbnail%%"] =   $thumbnail;
				$result_array[$k]["%%rating%%"] = $rating;
				$result_array[$k]["%%keyword%%"] =  $keyword;
				$result_array[$k]["%%title%%"] = $title;
				$result_array[$k]["%%url%%"] = @$p->url;
				$result_array[$k]["%%videoid%%"] = @$p->id;
				$k++;
			}
		}
	}

}
$postvars = array("page"=>$page, "keyword" => $keyword, "api" => 'vimeo');
$result_array = array_merge(array("result"=>$result_array), array("postvars"=>$postvars));
showresults($result_array);
?>