<?php
error_reporting(E_ALL);
libxml_use_internal_errors (true);
$keyword = $_POST["keyword"];
$options = array();
global $wpdb;
$youtube_data = $wpdb->get_results('SELECT * FROM ls_settings WHERE api_name = "youtube"');
$youtube_db_data = array();
if(!empty($youtube_data)) {
	$youtube_db_data = json_decode($youtube_data[0]->data);
}

$options['ls_yt_width'] = !empty($youtube_db_data->yt_width) ? $youtube_db_data->yt_width : '300';
$options['ls_yt_height'] = !empty($youtube_db_data->yt_height) ? $youtube_db_data->yt_height : '300';
$options['yt_lang'] = !empty($youtube_db_data->yt_lang) ? $youtube_db_data->yt_lang : '';
$options['yt_safe'] = !empty($youtube_db_data->yt_safe) ? $youtube_db_data->yt_safe : '';
$options['yt_sort'] = !empty($youtube_db_data->yt_sort) ? $youtube_db_data->yt_sort : '';
$options['yt_author'] = !empty($youtube_db_data->yt_author) ? $youtube_db_data->yt_author : '';
$options['yt_striplinks_desc'] = !empty($youtube_db_data->yt_striplinks_desc) ? $youtube_db_data->yt_striplinks_desc : '';
$options['yt_striplinks_comm'] = !empty($youtube_db_data->yt_striplinks_comm) ? $youtube_db_data->yt_striplinks_comm : '';

$page = $_POST["page"];
$num = 6;
$lang = '';
$author = '';

$request = "http://gdata.youtube.com/feeds/api/videos?q=".$keyword."&orderby=".$options['yt_sort']."&start-index=".$page."&max-results=6&format=5&safeSearch=".$options['yt_safe']."&v=2";

if(!empty($options['yt_lang'])) {
	$request .= "&lr=".$options['yt_lang'];
}

if(!empty($options['yt_author'])) {
	$request .= "&author=".$options['yt_author'];
}	


if ( function_exists('curl_init') ) {
	$ch = curl_init();
	curl_setopt($ch, CURLOPT_USERAGENT, "Mozilla/5.0 (compatible; Konqueror/4.0; Microsoft Windows) KHTML/4.0.80 (like Gecko)");
	curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
	curl_setopt($ch, CURLOPT_URL, $request);
	//curl_setopt($ch, CURLOPT_TIMEOUT, 60);
	$response = curl_exec($ch);
	curl_close($ch);
} else { 				
	$response = @file_get_contents($request);
}
$pxml = simplexml_load_string($response);
//pr($pxml);

$result_array = array();

if (isset($pxml->entry)) {
	$k=0;
	foreach($pxml->entry as $entry) {
        if($k<$num){
			$media = $entry->children('http://search.yahoo.com/mrss/');		
			$yt = $media->children('http://gdata.youtube.com/schemas/2007');
			$videoid = $yt->videoid;
			$video ='
				<object width="'.$options['ls_yt_width'].'" height="'.$options['ls_yt_height'].'">
				<param name="movie" value="http://www.youtube.com/v/'.$videoid.'?fs=1"></param>
				<param name="allowFullScreen" value="true"></param>
				<embed src="http://www.youtube.com/v/'.$videoid.'?fs=1&rel=0" type="application/x-shockwave-flash" width="'.$options['ls_yt_width'].'" height="'.$options['ls_yt_height'].'" allowfullscreen="true"></embed>
				</object>';
			$title = $media->group->title;
			$description = $media->group->description;	


			$result_array[$k]["%%description%%"] = "<span class='description_details'>".$description."</span>";
			$result_array[$k]["%%thumbnail%%"] =   $video;
			$result_array[$k]["%%rating%%"] = 0;
			$result_array[$k]["%%keyword%%"] =  $keyword;
			$result_array[$k]["%%title%%"] = $title;
			$result_array[$k]["%%videoid%%"] = $videoid;
			$result_array[$k]["%%url%%"] = "http://www.youtube.com/watch?v=".$videoid;
			$k++;
		}
	}
}
$postvars = array("page"=>$page, "keyword" => $keyword, "api" => 'youtube');
$result_array = array_merge(array("result"=>$result_array), array("postvars"=>$postvars));
showresults($result_array);
?>